<mat-toolbar class="mat-elevation-z5" color="primary">
	<div class="actions">
		<img src="assets/images/logo/logo.svg" alt="Logo" draggable="false" />
	</div>
	<div class="options">
		<button mat-icon-button routerLink="/core/home" aria-label="Home" matTooltip="{{ 'simple.home' | translate }}">
			<mat-icon>home</mat-icon>
		</button>
		<button
			class="navbutton"
			mat-icon-button
			[matMenuTriggerFor]="languageMenu"
			aria-label="Translation"
			matTooltip="{{ 'simple.language' | translate }}"
		>
			<mat-icon>translate</mat-icon>
		</button>
		<button mat-raised-button routerLink="/authentication/login" class="white" aria-label="Login">
			{{ 'simple.login' | translate }}
		</button>
	</div>
</mat-toolbar>
<div>
	<mat-card>
		<router-outlet></router-outlet>
	</mat-card>
</div>

<mat-menu #languageMenu xPosition="before">
	<button
		class="flag"
		mat-menu-item
		(click)="preferencesService.setLanguage('en')"
		[ngClass]="translateService.currentLang == 'en' ? 'active' : ''"
	>
		<img src="assets/images/flags/en.svg" draggable="false" />English
	</button>
	<button
		class="flag"
		mat-menu-item
		(click)="preferencesService.setLanguage('de')"
		[ngClass]="translateService.currentLang == 'de' ? 'active' : ''"
	>
		<img src="assets/images/flags/de.svg" draggable="false" />Deutsch
	</button>
</mat-menu>
